Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.applet
Class MainFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      com.sun.j3d.utils.applet.MainFrame

All Implemented Interfaces:
  java.applet.AppletContext, java.applet.AppletStub, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible

    public class MainFrame

extends java.awt.Frame
implements java.lang.Runnable, java.applet.AppletStub, java.applet.AppletContext

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MainFrame(java.applet.Applet applet, int width, int height)`
`MainFrame(java.applet.Applet applet, java.lang.String[] args)`
`MainFrame(java.applet.Applet applet, java.lang.String[] args, int width, int height)`

Method Summary
`void` | `appletResize(int width, int height)`
`java.applet.Applet` | `getApplet(java.lang.String name)`
`java.applet.AppletContext` | `getAppletContext()`
`java.util.Enumeration` | `getApplets()`
`java.applet.AudioClip` | `getAudioClip(java.net.URL url)`
`java.net.URL` | `getCodeBase()`
`java.net.URL` | `getDocumentBase()`
`java.awt.Image` | `getImage(java.net.URL url)`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.io.InputStream` | `getStream(java.lang.String key)`
`java.util.Iterator` | `getStreamKeys()`
`boolean` | `isActive()`
`void` | `run()`
`void` | `setStream(java.lang.String key, java.io.InputStream stream)`
`void` | `showDocument(java.net.URL url)`
`void` | `showDocument(java.net.URL url, java.lang.String target)`
`void` | `showStatus(java.lang.String status)`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getAccessibleContext, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, paramString, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### MainFrame

    public MainFrame(java.applet.Applet applet,
                     java.lang.String[] args,
                     int width,
                     int height)

### MainFrame

    public MainFrame(java.applet.Applet applet,
                     java.lang.String[] args)

### MainFrame

    public MainFrame(java.applet.Applet applet,
                     int width,
                     int height)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `java.applet.AppletStub`
  Overrides:
    `isActive` in class `java.awt.Window`

### getDocumentBase

    public java.net.URL getDocumentBase()

  Specified by:
    `getDocumentBase` in interface `java.applet.AppletStub`

### getCodeBase

    public java.net.URL getCodeBase()

  Specified by:
    `getCodeBase` in interface `java.applet.AppletStub`

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `java.applet.AppletStub`

### appletResize

    public void appletResize(int width,
                             int height)

  Specified by:
    `appletResize` in interface `java.applet.AppletStub`

### getAppletContext

    public java.applet.AppletContext getAppletContext()

  Specified by:
    `getAppletContext` in interface `java.applet.AppletStub`

### getAudioClip

    public java.applet.AudioClip getAudioClip(java.net.URL url)

  Specified by:
    `getAudioClip` in interface `java.applet.AppletContext`

### getImage

    public java.awt.Image getImage(java.net.URL url)

  Specified by:
    `getImage` in interface `java.applet.AppletContext`

### getApplet

    public java.applet.Applet getApplet(java.lang.String name)

  Specified by:
    `getApplet` in interface `java.applet.AppletContext`

### getApplets

    public java.util.Enumeration getApplets()

  Specified by:
    `getApplets` in interface `java.applet.AppletContext`

### showDocument

    public void showDocument(java.net.URL url)

  Specified by:
    `showDocument` in interface `java.applet.AppletContext`

### showDocument

    public void showDocument(java.net.URL url,
                             java.lang.String target)

  Specified by:
    `showDocument` in interface `java.applet.AppletContext`

### showStatus

    public void showStatus(java.lang.String status)

  Specified by:
    `showStatus` in interface `java.applet.AppletContext`

### setStream

    public void setStream(java.lang.String key,
                          java.io.InputStream stream)

  Specified by:
    `setStream` in interface `java.applet.AppletContext`

### getStream

    public java.io.InputStream getStream(java.lang.String key)

  Specified by:
    `getStream` in interface `java.applet.AppletContext`

### getStreamKeys

    public java.util.Iterator getStreamKeys()

  Specified by:
    `getStreamKeys` in interface `java.applet.AppletContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD